
import { TextParams } from '../render-svg';

export interface Store {
	get_image_by_id(image_id: string) : Promise<ImageTemplate | ImageMacro>;
	get_image_data_by_id(image_id: string) : Promise<ImageTemplate | ImageMacroData>;
}

export type ImageMacroMediaType = 'image/svg+xml';
export type ImageTemplateMediaType = 'image/jpeg' | 'image/png';

export interface ImageTemplate {
	id: string;
	title: string;
	width: number;
	height: number;
	media_type: ImageTemplateMediaType;
	content: Buffer;
}

export interface ImageMacro {
	id: string;
	media_type: ImageMacroMediaType;
	content: string;
}

export interface ImageMacroData {
	id: string;
	title: string;
	template_id: string;
	text_nodes: TextParams[];
	content: string;
}
